%define majver %(echo %version | cut -d. -f1-2)
Name:          qt6-qtpositioning
Version:       6.3.0
Release:       1mamba
Summary:       Qt6 positioning component
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qtpositioning-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6SerialPort-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxkbcommon-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: qt6-qtdeclarative-devel = %{version}
BuildRequires: cmake

%description
Qt6 positioning component.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n qtpositioning-everywhere-src-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libQt6Positioning.so.*
%{_libdir}/libQt6PositioningQuick.so.*
%{_libdir}/metatypes/qt6positioning_release_metatypes.json
%{_libdir}/metatypes/qt6positioningquick_release_metatypes.json
%{_libdir}/qml/QtPositioning/libpositioningquickplugin.so
%{_libdir}/qml/QtPositioning/plugins.qmltypes
%{_libdir}/qml/QtPositioning/qmldir
%{_datadir}/qt6/modules/Positioning.json
%{_datadir}/qt6/modules/PositioningQuick.json
%dir %{_libdir}/qt6/plugins/position
%{_libdir}/qt6/plugins/position/libqtposition_geoclue2.so
%{_libdir}/qt6/plugins/position/libqtposition_nmea.so
%{_libdir}/qt6/plugins/position/libqtposition_positionpoll.so

%files devel
%defattr(-,root,root)
%dir %{_includedir}/qt6/QtPositioning
%{_includedir}/qt6/QtPositioning/*
%dir %{_includedir}/qt6/QtPositioningQuick
%{_includedir}/qt6/QtPositioningQuick/*
%{_libdir}/libQt6Positioning.prl
%{_libdir}/libQt6Positioning.so
%{_libdir}/libQt6PositioningQuick.prl
%{_libdir}/libQt6PositioningQuick.so
%{_libdir}/qt6/mkspecs/modules/qt_lib_positioning*.pri
%{_libdir}/cmake/Qt6/FindGconf.cmake
%{_libdir}/cmake/Qt6/FindGypsy.cmake
%{_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtPositioningTestsConfig.cmake
%{_libdir}/cmake/Qt6Bundled_Clip2Tri/Qt6Bundled_Clip2TriDependencies.cmake
%dir %{_libdir}/cmake/Qt6Positioning
%{_libdir}/cmake/Qt6Positioning/*.cmake
%dir %{_libdir}/cmake/Qt6PositioningQuick
%{_libdir}/cmake/Qt6PositioningQuick/*.cmake
%{_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6positioningquickplugin*.cmake

%changelog
* Thu Apr 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.0-1mamba
- update to 6.3.0

* Mon Mar 21 2022 Automatic Build System <autodist@mambasoft.it> 6.2.4-1mamba
- automatic version update by autodist

* Sun Feb 20 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.3-1mamba
- package created using the webbuild interface
